Bug 835988 - bcfg2: arbitrary code execution flaw in Trigger plugin [epel-all]
bcfg2: arbitrary code execution flaw in Trigger plugin [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: bcfg2 (Show other bugs)
el6
All Linux
high Severity high
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3366
  Show dependency treegraph
 
Reported: 2012-06-27 14:26 EDT by Vincent Danen
Modified: 2013-05-14 13:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: bcfg2-1.3.0-1.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:23:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-06-27 14:26:31 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=835985

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-07-07 14:47:45 EDT
bcfg2-1.2.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bcfg2-1.2.3-1.fc17
Comment 2 Fedora Update System 2012-07-07 14:47:59 EDT
bcfg2-1.2.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bcfg2-1.2.3-1.fc16
Comment 3 Fedora Update System 2012-07-07 14:48:14 EDT
bcfg2-1.2.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bcfg2-1.2.3-1.el6
Comment 4 Fedora Update System 2012-07-08 13:29:56 EDT
Package bcfg2-1.2.3-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bcfg2-1.2.3-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6348/bcfg2-1.2.3-1.el6
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 10:23:09 EST
bcfg2-1.2.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-04-16 02:28:19 EDT
bcfg2-1.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bcfg2-1.3.0-1.el6
Comment 7 Fedora Update System 2013-05-14 13:46:02 EDT
bcfg2-1.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.